function preProcess( targetPlatform ) {
	MSG.formatInfo("Building for target platform %s", targetPlatform);
	TCF.globals().targetPlatform = targetPlatform;
	if (targetPlatform == 'Win64_MSVS') {
		TCF.globals().targetCompiler = 'MSVS';
        MSG.formatInfo("Building with Microsoft Visual Studio Compiler");		
	} else {
		TCF.globals().targetCompiler = 'GCC';		
        MSG.formatInfo("Building with GNU Compiler");
	}
}

function postProcess(topTC, allTCs, targetPlatform) {	
	for (i = 0; i < allTCs.length; ++i) {
	  if (TCF.globals().targetCompiler == 'MSVS')
	  {
		allTCs[i].compilationMakeType = MakeType.MS_nmake;
	  }
	  else if (TCF.globals().targetCompiler == 'GCC')
	  {
		allTCs[i].compilationMakeType = MakeType.GNU_make;
	  }
	  
	  if (targetPlatform == 'Win64_MinGW') {
	    allTCs[i].targetConfiguration = 'NT40MinGwT.x86-MinGw-gnu-4.7.0';  
	  }
	}
}
